Welcome to Centmin Mod Community
Become a Member

Beta Branch add PHPEMBED='y' for PHP Embed SAPI library support for Nginx Unit

Discussion in 'Centmin Mod Github Commits' started by eva2000, Sep 23, 2017.

  1. eva2000

    eva2000 Administrator Staff Member

    30,631
    6,862
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,308
    Local Time:
    8:10 AM
    Nginx 1.13.x
    MariaDB 5.5
    Last edited: Sep 24, 2017
  2. RoldanLT

    RoldanLT Well-Known Member

    3,940
    962
    113
    May 25, 2014
    Phillipines
    Ratings:
    +1,315
    Local Time:
    6:10 AM
    1.11
    10.2
    Aw I thought Nginx Unit doesn't require PHP installation anymore?
     
  3. eva2000

    eva2000 Administrator Staff Member

    30,631
    6,862
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,308
    Local Time:
    8:10 AM
    Nginx 1.13.x
    MariaDB 5.5
    It requires PHP Embed SAPI library and PHP devel packages. For Centmin Mod usage just means enabling PHP Embed SAPI library support during PHP-FPM compiles.

    On non-Centmin Mod CentOS 7 installs, via Nginx unit RPMs, they install PHP 5.4 based PHP Embed and devel packages. Not the PHP version I would use anyway.
     
    • Like Like x 1